#pragma once

#include "CoreMinimal.h"
#include "AISkill.h"
#include "AITunableParameter.h"
#include "AISkill_K40InsideSecurityDoor.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class THEK40_API UAISkill_K40InsideSecurityDoor : public UAISkill
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter ActionInterval;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter CameraRotateInterval;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float HoldInputTime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxRevealDistance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float CancelKillerPlayerDistance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float CancelKillerDoorDistance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter AbandonObserveKillerTime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName BBShortcutInteractable;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName TeleportInteractionId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName ViewSwitchInteractionId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName CancelInteractionId;

public:
	UAISkill_K40InsideSecurityDoor();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_K40InsideSecurityDoor) { return 0; }
